<div *ngIf="!readOnly" class="row justify-content-between mb-4">
  <div class="col-lg-6 col-md-8 col-sm-9 col-12">
    <div class="row">
      <div class="col-md-3">
        <input class="form-control" type="search" placeholder="Recherche" [ngModel]="query.search"
               (keyup)="onSearchType($event)">
      </div>
      <div class="col-md-2">
        <select class="custom-select" style="width: auto" [(ngModel)]="query.page_size"
                (ngModelChange)="getQuotes()">
          <option [ngValue]="25">25 élements</option>
          <option [ngValue]="50">50 élements</option>
          <option [ngValue]="100">100 élements</option>
          <option [ngValue]="200">200 élements</option>
        </select>
      </div>
    </div>
  </div>
  <div class="col-lg-6 col-md-4 col-sm-3 col-12 text-right">
    <button [routerLink]="['/new-quotes']" type="button" class="btn btn-basic ml-2">
      Créer un devis
    </button>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <table class="table table-striped bg-white">
      <thead>
      <tr>
        <th scope="col">Numéro</th>
        <th scope="col">Nom du projet</th>
        <th scope="col">Client</th>
        <th scope="col">Date</th>
        <th scope="col">Commercial</th>
        <th scope="col">Prix</th>
        <th scope="col">Statut</th>
      </tr>
      </thead>
      <tbody>
      <ng-container *ngIf="quotePage && quotePage.results.length > 0; else fakeLines">
        <tr *ngFor="let elem of quotePage.results;" [routerLink]="['/quotes/' + elem.id]">
          <td>#{{elem.id}}</td>
          <td>{{elem.name}}</td>
          <td>{{elem.customer.first_name}} {{elem.customer.last_name}}</td>
          <td>{{elem.date | date: 'dd/MM/yyyy'}}</td>
          <td>{{elem.user.firstName}} {{elem.user.lastName}}</td>
          <td>{{elem.amount * 1.2 | number:'1.2-2'}} € TTC</td>
          <td>{{elem.status}}</td>
        </tr>
      </ng-container>
      <ng-template #fakeLines>
      </ng-template>
      </tbody>
    </table>
  </div>
</div>

<div *ngIf="quotePage && !readOnly" class="row">
  <div class="col-12">
    <ngb-pagination [collectionSize]="quotePage.results.length" [(page)]="query.page" [pageSize]="query.page_size"
                    (pageChange)="getQuotes()">
    </ngb-pagination>
  </div>
</div>
